<?php

namespace App\Http\Controllers;

use App\AdminOtherAccount;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Http\Request;

class AdminOtherAccountController extends Controller
{
    use SoftDeletes;

    public function index()
    {
        $otherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->get();
        return view('crusher.otheraccount_master.index', compact('otherAccounts'));
    }

    public function create()
    {
        return view('crusher.otheraccount_master.create');
    }

    function store(Request $request)
    {
        try {
            $validatedData = $request->validate([
                // 'opening_balance' => 'nullable|string',
                // 'type' => 'nullable|in:debit,credit',
                // 'date' => 'nullable|date',
                'account_name' => 'nullable|string',
                // 'class_of_account' => 'nullable|string',
                // 'description' => 'nullable|string',
            ]);
            $validatedData['branch_id'] = session()->get('selected_branch');
            AdminOtherAccount::create($validatedData);
            
            flash()->addSuccess('Record Created');
            return redirect()->route('crusher.other_accounts.index');
        } catch (\Throwable $th) {
            flash()->addError($th->getMessage());
            return redirect()->back()->withInput();
        }
    }

    public function edit($otherAccount)
    {
        $otherAccount = AdminOtherAccount::find($otherAccount);
        return view('crusher.otheraccount_master.edit', compact('otherAccount'));
    }

    function update(Request $request, $otherAccount)
    {
        try {
            $validatedData = $request->validate([
                'opening_balance' => 'nullable|string',
                'type' => 'nullable|in:debit,credit',
                'date' => 'nullable|date',
                'account_name' => 'nullable|string',
                'class_of_account' => 'nullable|string',
                'description' => 'nullable|string',
            ]);
            $validatedData['branch_id'] = session()->get('selected_branch');
    
            AdminOtherAccount::find($otherAccount)->update($validatedData);
    
            flash()->addSuccess('Record Updated');
            return redirect()->route('crusher.other_accounts.index');
        } catch (\Throwable $th) {
            flash()->addError($th->getMessage());
            return redirect()->back()->withInput();
        }
    }

    public function show($otherAccount)
    {
        $otherAccount = AdminOtherAccount::find($otherAccount);
        return view('crusher.otheraccount_master.view', compact('otherAccount'));
    }

    public function softDelete($otherAccount)
    {
        $otherAccount = AdminOtherAccount::findOrFail($otherAccount);
        $otherAccount->delete();
        flash()->addSuccess('Success');
        return redirect()->route('crusher.other_accounts.index');
    }
}
