@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Delivery Note</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('crusher.delivery_notes.create') }} ">
                                <button class="btn btn-cust1 float-right" type="submit">Create Delivery Note
                                </button>
                            </a>
                        </div>
                    </div>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Delivery Note Number</th>
                                    <th>Quotation Number</th>
                                    <th>Account Name</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($deliveryNotes as $deliveryNote)
                                    {{-- @dd($deliveryNote)     --}}
                                    <tr>
                                        <td>{{ $deliveryNote->date }}</td>
                                        <td>{{ $deliveryNote->do_no }}</td>
                                        <td>{{ $deliveryNote->quotation_no }}</td>
                                        <td>
                                            @if ($deliveryNote->account_type == 'App\Customer' || $deliveryNote->account_type == 'App\Supplier')
                                                {{ $deliveryNote->account_type::find($deliveryNote->account_id)->name_of_organisation }}
                                            @elseif ($deliveryNote->account_type == 'App\StaffAndSalesman')
                                                {{ $deliveryNote->account_type::find($deliveryNote->account_id)->first_name . ' ' . $deliveryNote->account_type::find($deliveryNote->account_id)->last_name }}
                                            @else
                                                {{ $deliveryNote->account_type::find($deliveryNote->account_id)->account_name }}
                                            @endIf
                                        </td>
                                        <td>
                                            <a
                                                href="{{ route('crusher.delivery_notes.show', ['delivery_note' => $deliveryNote->id]) }}">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            @if (!$deliveryNote->trashed())
                                                <a
                                                    href="{{ route('crusher.delivery_notes.edit', ['delivery_note' => $deliveryNote->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>

                                                <form
                                                    action="{{ route('crusher.delivery_note.delete', ['delivery_note' => $deliveryNote->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                                <a href="{{ route('crusher.admin_sales_invoice.create', ['do_no' => $deliveryNote->do_no]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        Sale Invoice</button>
                                                </a>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
