@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="row">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Delivery Note</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>

            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Delivery Note</h6>
                    <br>

                    <div class="row border1">
                        @if (!empty(($companyLogo = auth()->user()->company_logo)))
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        @else
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        @endif
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span>{{ $company->name }}</span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span>{{ $company->country }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span>{{ $company->cr_number }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span>{{ $company->vat_number }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <span>{{ session()->get('branch')->address }}</span>
                                    </div>
                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    @if ($deliveryNote[0]->buyer != null)
                                        <div class="col-md-12">
                                            <span>
                                                @if ($deliveryNote[0]->account_type == 'App\Customer' || $deliveryNote[0]->account_type == 'App\Supplier')
                                                    {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->name_of_organisation }}
                                                @elseif ($deliveryNote[0]->account_type == 'App\StaffAndSalesman')
                                                    {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->first_name . ' ' . $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->last_name }}
                                                @else
                                                    {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->account_name }}
                                                @endIf
                                            </span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $deliveryNote[0]->buyer->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $deliveryNote[0]->buyer->name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $deliveryNote[0]->buyer->phone ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $deliveryNote[0]->buyer->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @else
                                        <span>
                                            @if ($deliveryNote[0]->account_type == 'App\Customer' || $deliveryNote[0]->account_type == 'App\Supplier')
                                                {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->name_of_organisation }}
                                            @elseif ($deliveryNote[0]->account_type == 'App\StaffAndSalesman')
                                                {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->first_name . ' ' . $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->last_name }}
                                            @else
                                                {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->account_name }}
                                            @endIf
                                        </span>
                                </div>
                                <div class="col-md-12">
                                    <label>Email :</label>
                                    <span>
                                        @if ($deliveryNote[0]->account_type == 'App\Customer' || $deliveryNote[0]->account_type == 'App\Supplier')
                                            {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->email }}
                                        @else
                                            No Record Exists
                                        @endIf
                                    </span>
                                </div>
                                <div class="col-md-12">
                                    <label>Contact Person Name :</label>
                                    <span>
                                        @if ($deliveryNote[0]->account_type == 'App\Customer' || $deliveryNote[0]->account_type == 'App\Supplier')
                                            {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->contact_person_name }}
                                        @else
                                            No Record Exists
                                        @endIf
                                    </span>
                                </div>
                                <div class="col-md-12">
                                    <label>Contact Number :</label>
                                    <span>
                                        @if ($deliveryNote[0]->account_type == 'App\Customer' || $deliveryNote[0]->account_type == 'App\Supplier')
                                            {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->mobile }}
                                        @else
                                            No Record Exists
                                        @endIf
                                    </span>
                                </div>
                                <div class="col-md-12">
                                    <label>VAT Number :</label>
                                    <span>
                                        @if ($deliveryNote[0]->account_type == 'App\Customer' || $deliveryNote[0]->account_type == 'App\Supplier')
                                            {{ $deliveryNote[0]->account_type::find($deliveryNote[0]->account_id)->vat_number }}
                                        @else
                                            No Record Exists
                                        @endIf
                                    </span>
                                </div>
                                @endIf
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="row border1">
                            <div class="pading1">
                                <div class="col-md-12">
                                    <label>Delivery Note #:</label>
                                    <span>{{ $deliveryNote[0]->do_no }}</span>
                                </div>

                                <div class="col-md-12">
                                    <label>Date :</label>
                                    <span>{{ $deliveryNote[0]->date }}</span>
                                </div>

                                <div class="col-md-12">
                                    <label>Quotation #:</label>
                                    <span>{{ $deliveryNote[0]->quotation_no ?? '' }}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <br>

                <!-- <div class="custom-control custom-switch mb-2" dir="ltr">
                                                                            <input type="checkbox" class="custom-control-input master"
                                                                                id="customSwitch2" unchecked>
                                                                            <label class="custom-control-label" for="customSwitch2">VAT</label>
                                                                        </div> -->


                <div class="row">

                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>S No.</th>
                                    <th>Item Name</th>
                                    <th>Item Description</th>
                                    <th>Quantity</th>
                                </tr>
                            </thead>

                            <tbody id="table-body">
                                @forelse ($deliveryNote as $key=>$dn)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>
                                            <p>{{ $dn->item->name }}</p>
                                        </td>
                                        <td>
                                            <p>{{ $dn->item_description }}</p>
                                        </td>
                                        <td>
                                            <p>{{ $dn->quantity }}</p>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                                <tr>
                                    <td></td>
                                    <td>Grand Total</td>
                                    <td></td>
                                    <td>{{ $deliveryNote[0]->total_quantity }}</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                <br>


                <div class="table-responsive mb-0" data-pattern="priority-columns">
                    <table class="table table-bordered dt-responsive nowrap max-width">
                        <tr>
                            <td>
                                <label>Term & Conditions</label>
                                <p class="">
                                <p>{{ $tnc->description ?? '' }}</p>
                                </p>
                            </td>
                            <td>
                                <label>Narrations</label>
                                <p>{{ $deliveryNote[0]->narrations }}</p>
                            </td>
                        </tr>
                    </table>
                </div>

            </div>
        </div>
    </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
