@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Journal Voucher</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="{{ route("crusher.journal_vouchers.create") }}">
                                    <button class="btn btn-cust1 float-right" type="submit">Add
                                        Voucher</button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->


                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Date</th>
                                        <th>Journal Voucher Number</th>
                                        <th>Account</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @forelse ($journalVouchers as $voucher)
                                        {{-- @dd($voucher)     --}}
                                        <tr>
                                            <td>{{ $voucher->date }}</td>
                                            <td>{{ $voucher->invoice_no }}</td>
                                            <td>{{ $voucher->account->name_of_organisation??$voucher->account->account_name ??$voucher->account->first_name.' '.$voucher->account->last_name}}</td>
                                            <td>
                                                <a
                                                    href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $voucher->id]) }}">
                                                    <i class="far fa-eye cust-icon2"></i></a>
                                                    @if (!$voucher->trashed())
                                                    <a
                                                        href="{{ route('crusher.journal_vouchers.edit', ['journal_voucher' => $voucher->id]) }}">
                                                        <i class="far fa-edit cust-icon2"></i></a>
                                                    <form
                                                        action="{{ route('crusher.journal_vouchers.delete', ['journal_voucher' => $voucher->id]) }}"
                                                        method="POST" class="d-inline">
                                                        @csrf
                                                        @method('DELETE')
                                                        <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                            class="btn btn-link p-0 m-0 text-danger">
                                                            <i class="far fa-window-close cust-icon2"></i>
                                                        </button>
                                                    </form>
                                                        
                                                    @else
                                                    <span class="text-danger">Deleted</span>
                                                    @endif
                                            </td>
                                        </tr>
                                    @empty
                                    @endforelse
                                </tbody>
                            </table>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
@endsection
