@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Quotation Master</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('crusher.quotations.create') }}">
                                <button class="btn btn-cust1 float-right" type="submit">Add
                                    Quotation</button>
                            </a>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Quoattaion Number</th>
                                    <th>Account Name</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($quotations as $quotation)
                                    {{-- @dd($quotation) --}}
                                    {{-- @dd($quotation)     --}}
                                    <tr>
                                        <td>{{ $quotation->date }}</td>
                                        <td>{{ $quotation->quotation_no }}</td>
                                        <td>{{ $quotation->account->name_of_organisation ?? ($quotation->account->account_name ?? $quotation->account->first_name . ' ' . $quotation->account->last_name) }}
                                        </td>
                                        <td>{{ $quotation->total_net_amount }}</td>
                                        <td>
                                            <a
                                                href="{{ route('crusher.quotations.show', ['quotation' => $quotation->id]) }}">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            @if (!$quotation->trashed())
                                                <a
                                                    href="{{ route('crusher.quotations.edit', ['quotation' => $quotation->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>
                                                <form
                                                    action="{{ route('crusher.quotation.delete', ['quotation' => $quotation->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                                <a href="{{ route('crusher.delivery_notes.create', ['quotation_no' => $quotation->quotation_no]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        DO</button>
                                                </a>
                                                <a href="{{ route('crusher.admin_sales_invoice.create', ['quotation_no' => $quotation->quotation_no]) }}"
                                                    class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create
                                                        Sale Invoice</button>
                                                </a>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
