@extends('layouts.superadmin')

@section('content')
<div class="page-content">
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Edit Payment</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="{{ route('show.payments') }}">Payments</a></li>
                        <li class="breadcrumb-item active">Edit Payment</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Payment</h6>
                        </div>
                    </div>
                    <form action="{{ route('update.payment', ['id' => $payment->id]) }}" method="POST">
                        @csrf
                        @method('PUT') <!-- Use the PUT method for updating -->

                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>User Name</label>
                                    <select class="form-control select2" name="user_name">
                                        <option value="">Select User Name</option>
                                        @foreach ($clients as $client)
                                            <option value="{{ $client->name }}" {{ $payment->user_name == $client->name ? 'selected' : '' }}>
                                                {{ $client->name }}
                                            </option>
                                        @endforeach
                                    </select>

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Company Name</label>
                                    <select class="form-control select2" name="company_name">
                                        <option value="">Select Company Name</option>
                                        @foreach ($companies as $company)
                                            <option value="{{ $company->name }}" {{ $payment->company_name == $company->name ? 'selected' : '' }}>
                                                {{ $company->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Branch Name</label>
                                    <select class="form-control select2" name="branch_name">
                                        <option value="">Select Branch Name</option>
                                        @foreach ($branches as $branch)
                                            <option value="{{ $branch->name }}" {{ $payment->branch_name == $branch->name ? 'selected' : '' }}>
                                                {{ $branch->name }}
                                            </option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" type="date" name="date" value="{{ $payment->date }}">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Amount</label>
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="amount" value="{{ $payment->amount }}">
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Note Name</label>
                                    <textarea class="form-control" rows="5" name="note" placeholder="Enter Note">{{ $payment->note }}</textarea>
                                </div>
                            </div>
                        </div>

                        <button class="btn btn-cust1 float-right" type="submit">Update Payment</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
