
@extends('layouts.master_user')
@section('page-title')
Period Closing
@endsection
@section('css')
<style>


</style>
@endsection
@section('master')
active
@endsection
@section('period-closing')
active
@endsection
@section('content')

{{-- @section('page-breadcrumb')
<li>
    <a href="/admin">Period Closing</a>
</li>
<li class="active">
    <strong>Period Closing</strong>
</li> 
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">
    
    @include('errors.list')
    
    <div class="row wrapper white-bg page-heading">
        <div class="col-md-12">
            <a href="/masters/period-closing/create" class="btn btn-primary pull-right"><i class="fa fa-plus" aria-hidden="true"></i> Create Period Closing</a>
        </div>
        @if(count($period_closing) != 0)
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                        <thead>
                        <tr>
                            <th>From Date</th>
                            <th>To Date</th>
                            <th>Carry Opening Balance</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($period_closing as $period_closing)
                            <tr>
                                <td>{{ $period_closing->from_date }}</td>
                                <td>{{ $period_closing->to_date }}</td>
                                <td>{{ $period_closing->carry_opening_balance == 1 ? "Yes" : "No"  }}</td>
                                <td>
                                    <div class="btn-group">
                                        <div class="pull-left" style="margin-right: 10px;">
                                            <a href="/masters/period-closing/{{ $period_closing->id }}/edit" class="btn btn-primary"><i class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
                                        </div>
                                        <div class="pull-right">
                                            <form  method="post" action="/masters/period-closing/{{ $period_closing->id }}">
                                                {{ csrf_field() }}
                                                {{ method_field('DELETE') }}
                                                <button type="submit" class="btn btn-primary"><i class="fa fa-trash" aria-hidden="true"></i> Delete</button>
                                            </form>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @else
            <h4 style="text-align:center;">No period closing has been created yet.</h4>
        @endif
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function(){
        $('.dataTables-period_closing').DataTable({
            pageLength: 25,
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [
                { extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},

                {extend: 'print',
                 customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ]

        });

    });

</script>
@endsection