<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

    <h2>Sale Report</h2>
    <h3>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</h3>

    <table class="table table-bordered table-hover">
        <thead>
            <tr>
                <th>Particulars</th>
                <th colspan="2">Amounts</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td><strong>Sales Accounts</strong></td>
                <td></td>
                <td><strong>{{$sales_accounts_decimal}}</strong></td>
            </tr>
            <tr>
                <td>Opening Stock</td>
                <td>{{$opening_amount_decimal}}</td>
                <td></td>
            </tr>
            <tr>
                <td>Purchase Accounts</td>
                <td>{{$purchase_accounts_decimal}}</td>
                <td></td>
            </tr>
            <tr>
                <td>Closing Stock</td>
                <td>{{$closing_amount_decimal}}</td>
                <td></td>
            </tr>
            <tr>
                <td><strong>Cost Of Sales</strong></td>
                <td></td>
                <td><strong>{{$cost_of_sales_decimal}}</strong></td>
            </tr>
            <tr>
                @if ($gross_profit_loss_decimal >= 0)
                    <td><strong>Gross Profit</strong></td>
                @else
                    <td><strong>Gross Loss</strong></td>
                @endif
                <td></td>
                <td><strong>{{$gross_profit_loss_decimal}}</strong></td>
            </tr>

            <tr>
                <td><strong>Discount Total</strong></td>
                <td></td>
                <td><strong>{{$discount_sales_invoices_decimal}}</strong></td>
            </tr>

            @foreach ($expenses_accounts_closing_balance as $closing_balance)
                <tr>
                    <td>{{ $closing_balance['ledger']-> name_of_organisation }}</td>
                    <td>{{ $closing_balance['closing_balance'] }}</td>
                    <td></td>
                </tr>
            @endforeach

            <tr>
                <td><strong>Expense Total</strong></td>
                <td></td>
                <td><strong>{{$expense_total_decimal}}</strong></td>
            </tr>
            <tr>
                <td><strong>Income Total</strong></td>
                <td></td>
                <td><strong>{{$income_total_decimal}}</strong></td>
            </tr>
            <tr>
                @if ($net_profit_loss_decimal >= 0)
                    <td><strong>Net Profit</strong></td>
                @else
                    <td><strong>Net Loss</strong></td>
                @endif
                <td></td>
                <td><strong>{{$net_profit_loss_decimal}}</strong></td>
            </tr>
        </tbody>
    </table>

</body>
</html>
