<!DOCTYPE html>
<html>
<head>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
</head>
<body>

<h2>Statement-of-Accounts Ledger</h2>

<table>
    <tr>
        <th>Date</th>
        {{-- <th>Particulars</th> --}}
        <th>Voucher Description</th>
        <th>Debit</th>
        <th>Credit</th>
    </tr>
    @foreach ($accounts as $item)
        <tr>
            <td>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</td>
            <td>{{$item->voucher_type}} # {{$item->voucher_no}}</td>
            <td>
                @if ($item->debit != 0)
                    <b>{{ number_format($item->debit,$decimal,'.','') }}</b>
                @endif
            </td>
            <td>
                @if ($item->credit != 0)
                    <b>{{ number_format($item->credit,$decimal,'.','') }}</b>
                @endif
            </td>
        </tr>
    @endforeach
    <tr>
        <td></td>
        <td><b>Opening Balance</b></td>
        <td>
            @if ($opening_balance_type == 'debit')
                {{ $opening_balance_decimal }}
            @endif
        </td>
        <td>
            @if ($opening_balance_type == 'credit')
                {{ abs($opening_balance_decimal) }}
            @endif
        </td>
    </tr>
    <tr>
        <td></td>
        <td><b>Current Balance</b></td>
        <td><b>{{$debit_decimal}}</b></td>
        <td><b>{{$credit_decimal}}</b></td>
    </tr>
    <tr>
        <td></td>
        <td><b>Closing Balance</b></td>
        <td>
            @if ($opening_balance_type == 'debit')
                {{ $closing_balance_decimal }}
            @endif
        </td>
        <td>
            @if ($opening_balance_type == 'credit')
                {{ abs($closing_balance_decimal) }}
            @endif
        </td>
    </tr>

</table>

</body>
</html>
