<?php

namespace App\Http\Controllers\Report;

use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\ClassOfAccount;
use App\Currency;
use App\Http\Controllers\Controller;
use App\Services\Utils;
use Illuminate\Http\Request;
use PDF;
use Auth;

class GroupSummaryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $user = Auth::user();
        if (!$user->can('group-summay-report')) {
            abort(403, 'Unauthorized action.');
        }

        $location_id = Utils::getLocation();
        $from_date = $request->from_date;
        $to_date = $request->to_date;

        $decimal = 0;

        $currency = Currency::Where('location_id', $location_id)->first();
        if ($currency) {
            $decimal = $currency->decimal_currency;
        }

        $class_of_account = $request->select_account_class;
        $account_masters = AccountMaster::Where('class_of_account_id', $class_of_account)->pluck('id');
        // dd(count($account_masters));
        // $accounts = [];
        // if ( count($account_masters) > 0) {
            // foreach ($account_masters as $account_master) {
                $accounts = AccountMastersAccountsDetail::with(['account_master' => function($q) use ($location_id) {
            $q->where('location_id', $location_id);}])->WhereIn('account_master_id', $account_masters)->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->get();
            // }

        // }else {
        //     $accounts = [];

        // }
        // dd($accounts);
        return view('user.reports.group_summary.index', compact('decimal','accounts','from_date','to_date','class_of_account'));
    }

    public function display()
    {
        $user = Auth::user();
        if (!$user->can('group-summay-report')) {
            abort(403, 'Unauthorized action.');
        }

        $class_of_account = ClassOfAccount::all();
        return view('user.reports.group_summary.select_date', compact('class_of_account'));
    }

    public function pdfView($from_date, $to_date, $id){
        // $location_id = Utils::getLocation();
        // $class_of_account = $id;
        // $account_masters = AccountMaster::Where('class_of_account_id', $id)->get();
        // $accounts = [];
        // if ( count($account_masters) > 0) {
        //     foreach ($account_masters as $account_master) {
        //         $accounts[] = AccountMastersAccountsDetail::with('account_master')->Where('account_master_id', $account_master->id)->first();
        //     }

        // }else {
        //     $accounts = [];

        // }

        // $pdf = PDF::loadView('user.reports.group_summary.list', compact('accounts', 'from_date', 'to_date'));
        // return $pdf->stream();

        $user = Auth::user();
        if (!$user->can('group-summay-report')) {
            abort(403, 'Unauthorized action.');
        }

        $location_id = Utils::getLocation();
        $class_of_account = $id;

        $decimal = 0;

        $currency = Currency::Where('location_id', $location_id)->first();
        if ($currency) {
            $decimal = $currency->decimal_currency;
        }

        $account_masters = AccountMaster::Where('class_of_account_id', $class_of_account)->pluck('id');
        $accounts = AccountMastersAccountsDetail::with('account_master')->WhereIn('account_master_id', $account_masters)->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->get();

        $pdf = PDF::loadView('user.reports.group_summary.list', compact('decimal','accounts','from_date','to_date','class_of_account'));
        return $pdf->stream();
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
