<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Elegant\Sanitizer\Laravel\SanitizesInput;

class StoreOtherAccountMasterRequest extends FormRequest
{
    use SanitizesInput;

    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'opening_balance' => 'nullable|string',
            'type' => 'nullable|in:debit,credit',
            'date' => 'nullable|date',
            'account_name' => 'nullable|string',
            'class_of_account' => 'nullable|string',
            'description' => 'nullable|string',
            'branch_id' => 'nullable|string',
        ];
    }

    public function messages()
    {
        return [
            'account_name.required' => 'The Account Name is required.',
            'class_of_account.required' => 'The Class of Account is required.',
        ];
    }
}
