<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateItemNamesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('item_names', function (Blueprint $table) {
            $table->id();
            $table->integer('branch_id');
            $table->integer('location_id')->nullable();
            $table->integer('group_id');
            $table->integer('unit_id');
            $table->string('name');
            $table->float('vat_percent');
            $table->integer('quantity');
            $table->double('purchase_price_per_unit');
            $table->double('sell_price_per_unit');
            $table->string('slug')->nullable();
            $table->string('status')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('item_names');
    }
}
