{{-- @dd($errors) --}}

@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Customer Master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('crusher.customers.store') }}" class="outer-repeater" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Account Opening Balance</label>
                                        <input name="opening_balance" value="{{ old('opening_balance') }}"
                                            class="form-control" type="number" placeholder="Account Opening Balance"
                                            id="example-password-input">
                                        @if ($errors->has('opening_balance'))
                                            <div class="text-danger">{{ $errors->first('opening_balance') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="control-label">Debit/Credit</label>
                                        <select class="form-control select2" name="debit_card">
                                            <option value="">Select Debit/Credit</option>
                                            <option value="Debit" @if (old('debit_credit') == 'Debit') selected @endif>Debit
                                            </option>
                                            <option value="Credit" @if (old('debit_credit') == 'Credit') selected @endif>Credit
                                            </option>
                                        </select>
                                        @if ($errors->has('debit_credit'))
                                            <span class="text-danger">{{ $errors->first('debit_credit') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input name="date" value="{{ old('date') }}" class="form-control"
                                            type="date" pattern="\d{4}-\d{2}-\d{2}">
                                        @if ($errors->has('date'))
                                            <div class="text-danger">{{ $errors->first('date') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Account Name</label>
                                        <input name="name_of_organisation" value="{{ old('name_of_organisation') }}"
                                            class="form-control" type="text" placeholder="Enter Account Name"
                                            id="example-text-input">
                                        @if ($errors->has('name_of_organisation'))
                                            <div class="text-danger">{{ $errors->first('name_of_organisation') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Commercial Registration #</label>
                                        <input name="commerical_registration_number"
                                            value="{{ old('commerical_registration_number') }}" class="form-control"
                                            type="text" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('commerical_registration_number'))
                                            <div class="text-danger">{{ $errors->first('commerical_registration_number') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Contact Person Name</label>
                                        <input name="contact_person_name" value="{{ old('contact_person_name') }}"
                                            class="form-control" type="text" placeholder="Enter Contact Person Name"
                                            id="example-text-input">
                                        @if ($errors->has('contact_person_name'))
                                            <div class="text-danger">{{ $errors->first('contact_person_name') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Office Phone #</label>
                                        <input name="office_phone" value="{{ old('office_phone') }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('office_phone'))
                                            <div class="text-danger">{{ $errors->first('office_phone') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Mobile #</label>
                                        <input name="mobile" value="{{ old('mobile') }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('mobile'))
                                            <div class="text-danger">{{ $errors->first('mobile') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Whatsapp #</label>
                                        <input name="whatsapp" value="{{ old('whatsapp') }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('whatsapp'))
                                            <div class="text-danger">{{ $errors->first('whatsapp') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <input name="email" value="{{ old('email') }}" class="form-control"
                                            type="email" placeholder="Enter Email" id="example-text-input">
                                        @if ($errors->has('email'))
                                            <div class="text-danger">{{ $errors->first('email') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Country</label>
                                        <select class="form-control select2" name="country_id">
                                            <option value="">Select Country</option>
                                            @forelse ($countries as $country)
                                                <option value="{{ $country->id }}"
                                                    @if (old('country_id') == $country->id) selected @endif>
                                                    {{ $country->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                        @if ($errors->has('country_id'))
                                            <span class="text-danger">{{ $errors->first('country_id') }}</span>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        <input name="city" value="{{ old('city') }}" class="form-control"
                                            type="text" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('city'))
                                            <div class="text-danger">{{ $errors->first('city') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <textarea name="address" class="form-control" rows="2" type="text" placeholder="Enter Address"
                                            id="example-textarea-input">{{ old('address') }}
                                    </textarea>
                                        @if ($errors->has('address'))
                                            <div class="text-danger">{{ $errors->first('address') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Class Of Account</label>
                                        <select class="form-control select2" name="class_of_account_id">
                                            <option>Select Class of Account</option>
                                            @forelse ($classOfAccount as $account)
                                                <option value="{{ $account->id }}"
                                                    @if (old('class_of_account_id') == $account->id) selected @endif>
                                                    {{ $account->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                        @if ($errors->has('account_name'))
                                        <div class="text-danger">{{ $errors->first('account_name') }}</div>
                                        @endif
                                    </div>
                                </div>


                                <!-- <div class="col-md-6">
                                                        <div class="form-group">
                                                            <label class="control-label">Show User</label>
                                                            <select class="form-control select2">
                                                                <option>Nothing Selected</option>
                                                                <option>lorem</option>
                                                                <option>Lorem</option>
                                                            </select>
                                                        </div>
                                                    </div> -->

                                {{-- <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Maintain Account</label>
                                        <select class="form-control select2" name="maintain_account">
                                            <option>select</option>
                                            @forelse ($maintainAccount as $account)
                                            <option>lorem</option>

                                            @empty

                                            @endforelse
                                        </select>
                                    </div>
                                </div> --}}

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>VAT Number</label>
                                        <input name="vat_number"
                                            class="form-control @error('vat_number') is-invalid @enderror"
                                            type="text"
                                            oninput="this.value = this.value.replace(/[^a-zA-Z0-9. ]/g, '');"
                                            placeholder="Enter VAT Number"
                                            value="{{ old('vat_number') }}"
                                            id="vat_number">

                                        @error('vat_number')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>TRN Number</label>
                                        <input name="trn_number"
                                            class="form-control @error('trn_number') is-invalid @enderror" type="text"
                                            placeholder="Enter TRN Number" value="{{ old('trn_number') }}"
                                            id="trn_number">
                                        @error('trn_number')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>TIN Number</label>
                                        <input name="tin_number"
                                            class="form-control @error('tin_number') is-invalid @enderror" type="text"
                                            placeholder="Enter TIN Number" value="{{ old('tin_number') }}"
                                            id="tin_number">
                                        @error('tin_number')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <strong>
                                        <h5>Upload Documents</h5>
                                    </strong>
                                </div>

                                @for ($i = 1; $i <= 7; $i++)
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input class="form-control @error("doc_name_{$i}") is-invalid @enderror"
                                            type="text" placeholder="Enter Name"
                                            name="doc_name_{{ $i }}" id="doc_name_{{ $i }}"
                                            value="{{ old("doc_name_{$i}") }}">
                                        @error("doc_name_{$i}")
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input class="form-control @error("doc_file_{$i}") is-invalid @enderror"
                                            type="file" id="doc_file_{{ $i }}"
                                            name="doc_file_{{ $i }}">
                                        @error("doc_file_{$i}")
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <input class="form-control @error("doc_expiry_{$i}") is-invalid @enderror"
                                            type="date" pattern="\d{4}-\d{2}-\d{2}}"
                                            name="doc_expiry_{{ $i }}"
                                            id="doc_expiry_{{ $i }}"
                                            value="{{ old("doc_expiry_{$i}") }}">
                                        @error("doc_expiry_{$i}")
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            @endfor


                            </div>

                            @for ($i = 1; $i <= 3; $i++)
                                <div class="row">
                                    <div class="col-md-12">
                                        <strong>
                                            <h5>Authorized Signatory {{ $i }}</h5>
                                        </strong>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Name</label>
                                            <input class="form-control" type="text"
                                                name="authorised_sign_{{ $i }}_name"
                                                placeholder="Enter First Name"
                                                value="{{ old("authorised_sign_{$i}_name") }}">
                                            @if ($errors->has("authorised_sign_{$i}_name"))
                                                <span
                                                    class="text-danger">{{ $errors->first("authorised_sign_{$i}_name") }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Civil Id #</label>
                                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                name="authorised_sign_{{ $i }}_civil_id"
                                                placeholder="Civil Id #"
                                                value="{{ old("authorised_sign_{$i}_civil_id") }}">
                                            @if ($errors->has("authorised_sign_{$i}_civil_id"))
                                                <span
                                                    class="text-danger">{{ $errors->first("authorised_sign_{$i}_civil_id") }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <!-- ... Other fields ... -->
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Expiry Date</label>
                                            <input class="form-control" type="date"
                                                name="authorised_sign_{{ $i }}_expiry_date"
                                                value="{{ old("authorised_sign_{$i}_expiry_date") }}">
                                            @if ($errors->has("authorised_sign_{$i}_expiry_date"))
                                                <span
                                                    class="text-danger">{{ $errors->first("authorised_sign_{$i}_expiry_date") }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Signature Sample</label>
                                            <input class="form-control" type="file"
                                                name="authorised_sign_{{ $i }}_sign_sample">
                                            @if ($errors->has("authorised_sign_{$i}_sign_sample"))
                                                <span
                                                    class="text-danger">{{ $errors->first("authorised_sign_{$i}_sign_sample") }}</span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Phone</label>
                                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                name="authorised_sign_{{ $i }}_phone"
                                                placeholder="Enter Phone"
                                                value="{{ old("authorised_sign_{$i}_phone") }}">
                                            @if ($errors->has("authorised_sign_{$i}_phone"))
                                                <span
                                                    class="text-danger">{{ $errors->first("authorised_sign_{$i}_phone") }}</span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            @endfor




                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea name="description" class="form-control @error('description') is-invalid @enderror" rows="4"
                                        placeholder="Enter Description">{{ old('description') }}</textarea>
                                    @error('description')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>


                            <button class="btn btn-cust1 float-right" data-toggle="modal" data-target=""
                                type="submit">Add Customer</button>



                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->


    <div class="modal fade bs-example-modal-center1" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-check checkp "></i>
                            <h4 class="card-title font-size-18">Successfully Recorded
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->


    <div class="modal fade bs-example-modal-center2" tabindex="-2" role="dialog" aria-labelledby="mySmallModalLabel"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="col-md-12 text-center">
                        <div class="pt-4 pb-4">
                            <i class="fas fa-times crossp "></i>
                            <h4 class="card-title font-size-18">Submission Failed
                            </h4>
                        </div>
                    </div>
                </div>

            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
@endsection
