@extends('layouts.master_user')
@section('page-title')
Currencies
@endsection
@section('css')
<style>
</style>
@endsection
@section('master')
active
@endsection
@section('currencies')
active
@endsection
@section('content')

{{-- @section('page-breadcrumb')
<li>
    <a href="/admin">Currencies</a>
</li>
<li class="active">
    <strong>Currencies</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="row wrapper white-bg page-heading">
        @if(count($currencies) < 1)
        <div class="col-md-12">
            <a href="/masters/currencies/create" class="btn btn-primary pull-right"><i class="fa fa-plus" aria-hidden="true"></i> Create Currency</a>
        </div>

            <h4 style="text-align:center;">No currency has been created yet.</h4>

        @elseif(count($currencies) != 0)
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                        <thead>
                        <tr>
                            <th>Currency ID</th>
                            <th>Currency Detail</th>
                            <th>Currency Decimal</th>
                            <th>Minor Unit</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($currencies as $currency)
                            <tr>
                                <td>{{ $currency->currency_id }}</td>
                                <td>{{ $currency->currency_detail }}</td>
                                <td>{{ $currency->decimal_currency }}</td>
                                <td>{{ $currency->minor_unit }}</td>
                                <td>
                                    <div class="btn-group">
                                        <div class="pull-left" style="margin-right: 10px;">
                                            <a href="/masters/currencies/{{ $currency->id }}/edit" class="btn btn-primary"><i class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
                                        </div>
                                        {{-- <div class="pull-right">
                                            <form  method="post" action="/masters/currencies/{{ $currency->id }}">
                                                {{ csrf_field() }}
                                                {{ method_field('DELETE') }}
                                                <button type="submit" class="btn btn-primary"><i class="fa fa-trash" aria-hidden="true"></i> Delete</button>
                                            </form>
                                        </div> --}}
                                    </div>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        @endif
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function(){
        $('.dataTables-currencies').DataTable({
            pageLength: 25,
            dom: '<"html5buttons"B>lTfgitp',
            buttons: [
                { extend: 'copy'},
                {extend: 'csv'},
                {extend: 'excel', title: 'ExampleFile'},
                {extend: 'pdf', title: 'ExampleFile'},

                {extend: 'print',
                 customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                }
                }
            ]

        });

    });

</script>
@endsection
